package com.plexworlds.l3.config;

import com.intellij.ui.IdeBorderFactory
import com.plexworlds.l3.llm.LLMs
import javax.swing.JComboBox
import javax.swing.JPanel
import javax.swing.JTextField

class L3SettingsPanel {

    lateinit var mainPanel: JPanel
    lateinit var providerComboBox: JComboBox<String>
    lateinit var modelField: JTextField
    lateinit var urlField: JTextField

    init {
        mainPanel.border = IdeBorderFactory.createTitledBorder("Plugin Settings")
        providerComboBox.addItem(LLMs.OLLAMA.name)
        providerComboBox.addItem(LLMs.DUMMY.name)
    }
}
